com.sun.syndication.io.impl

## Class BaseWireFeedParser

- java.lang.Object
- - com.sun.syndication.io.impl.BaseWireFeedParser

All Implemented Interfaces:
  WireFeedParser

Direct Known Subclasses:
  Atom03Parser, Atom10Parser, RSS090Parser

    public abstract class BaseWireFeedParser
    extends java.lang.Object
    implements WireFeedParser

### Constructor Summary

Constructors
`protected` `BaseWireFeedParser(java.lang.String type, org.jdom.Namespace namespace)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected java.util.List` `extractForeignMarkup(org.jdom.Element e, Extendable ext, org.jdom.Namespace basens)`
`protected org.jdom.Attribute` `getAttribute(org.jdom.Element e, java.lang.String attributeName)`
`protected java.lang.String` `getAttributeValue(org.jdom.Element e, java.lang.String attributeName)`
`java.lang.String` `getType()` Returns the type of feed the parser handles.
`protected java.util.List` `parseFeedModules(org.jdom.Element feedElement)`
`protected java.util.List` `parseItemModules(org.jdom.Element itemElement)`
`protected java.util.List` `parsePersonModules(org.jdom.Element itemElement)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.sun.syndication.io.WireFeedParser

`isMyType, parse`

### Constructor Detail

#### BaseWireFeedParser

    protected BaseWireFeedParser(java.lang.String type,
                                 org.jdom.Namespace namespace)

### Method Detail

#### getType

    public java.lang.String getType()

Returns the type of feed the parser handles.

Specified by:
  `getType` in interface `WireFeedParser`
Returns:
  the type of feed the parser handles.
See Also:
  `for details on the format of this string.

  `

#### parseFeedModules

    protected java.util.List parseFeedModules(org.jdom.Element feedElement)

#### parseItemModules

    protected java.util.List parseItemModules(org.jdom.Element itemElement)

#### parsePersonModules

    protected java.util.List parsePersonModules(org.jdom.Element itemElement)

#### extractForeignMarkup

    protected java.util.List extractForeignMarkup(org.jdom.Element e,
                                                  Extendable ext,
                                                  org.jdom.Namespace basens)

#### getAttribute

    protected org.jdom.Attribute getAttribute(org.jdom.Element e,
                                              java.lang.String attributeName)

#### getAttributeValue

    protected java.lang.String getAttributeValue(org.jdom.Element e,
                                                 java.lang.String attributeName)